RESTinio

Public Member Functions | Private Member Functions | Private Attributes | List of all members
restinio::router::pcre2_details::regex_t Class Referencefinal

A wrapper for using pcre regexes in express_router. More...

`#include <pcre2_regex_engine.hpp>`

## Public Member Functions
| regex_t ()=default
| regex_t (string_view_t r, int options)
| regex_t (const regex_t &)=delete
regex_t & | operator= (const regex_t &)=delete
| regex_t (regex_t &&rw) noexcept
regex_t & | operator= (regex_t &&rw) noexcept
| ~regex_t ()
const pcre2_code * | pcre2_regex () const

## Private Member Functions
void | compile (string_view_t r, int options)

## Private Attributes
pcre2_code * | m_route_regex { nullptr }

## Detailed Description

A wrapper for using pcre regexes in express_router.

Definition at line 86 of file pcre2_regex_engine.hpp.

## Constructor & Destructor Documentation

## ◆ regex_t() [1/4]

restinio::router::pcre2_details::regex_t::regex_t | ( |  | ) |
| default

## ◆ regex_t() [2/4]

restinio::router::pcre2_details::regex_t::regex_t | ( | string_view_t | r,
|  | int | options
| ) |  |
| inline

Definition at line 90 of file pcre2_regex_engine.hpp.

## ◆ regex_t() [3/4]

restinio::router::pcre2_details::regex_t::regex_t | ( | const regex_t & |  | ) |
| delete

## ◆ regex_t() [4/4]

restinio::router::pcre2_details::regex_t::regex_t | ( | regex_t && | rw | ) |
| inline noexcept

Definition at line 98 of file pcre2_regex_engine.hpp.

## ◆ ~regex_t()

restinio::router::pcre2_details::regex_t::~regex_t | ( |  | ) |
| inline

Definition at line 115 of file pcre2_regex_engine.hpp.

## Member Function Documentation

## ◆ compile()

void restinio::router::pcre2_details::regex_t::compile | ( | string_view_t | r,
|  | int | options
| ) |  |
| inline private

Definition at line 133 of file pcre2_regex_engine.hpp.

## ◆ operator=() [1/2]

regex_t & restinio::router::pcre2_details::regex_t::operator= | ( | const regex_t & |  | ) |
| delete

## ◆ operator=() [2/2]

regex_t & restinio::router::pcre2_details::regex_t::operator= | ( | regex_t && | rw | ) |
| inline noexcept

Definition at line 104 of file pcre2_regex_engine.hpp.

## ◆ pcre2_regex()

const pcre2_code * restinio::router::pcre2_details::regex_t::pcre2_regex | ( |  | ) | const
| inline

Definition at line 124 of file pcre2_regex_engine.hpp.

## Member Data Documentation

## ◆ m_route_regex

pcre2_code* restinio::router::pcre2_details::regex_t::m_route_regex { nullptr }
| private

Definition at line 130 of file pcre2_regex_engine.hpp.

The documentation for this class was generated from the following file:

- restinio/router/pcre2_regex_engine.hpp